<?php 
/*****************************************************************
 NoNo-ServeuR.net
 
 Fonction:
* File_GetFileWExt($path) -----------------> Nom d'un fichier  partir d'un dossier
* File_GetFileWOExt($filename)-------------> Nom d'un fichier sans extension
* File_GetFileExt($filename)---------------> Extension d'un fichier
* File_CreateEmptyFile($filename)----------> Creation d'un fichier vide
* File_ReadFile($filename)-----------------> Lire un fichier
* File_ReadFileInArray($filename)----------> Lire un fichier dans un tableau
* File_AddLineInFile($filename,$string)----> Ajouter une ligne de texte  un fichier
* File_Filesize($filename)-----------------> Taille d'un fichier
* File_RenameFile($filename,$newfilename)--> Renommer un fichier
* File_GetFileRight($filename)-------------> Rcupere les droits d'utilisation du fichier
* File_SetFileRight($filename,$mode)-------> Donne les droits d'utilisation du fichier
* File_GetFileInfo($filename)--------------> Rcupere les informations du fichier (date de creation, derniere de modification)
* File_DeleteFile($filename)---------------> Supprimer un fichier

*****************************************************************/


//************************************************************************************************************** NN_SysGetFileWExt($path)
function NN_SysGetFileWExt($path){
  	return end(explode('/',str_replace(chr(57),'/',$path))); //Retourne de nom du fichier 
}

//************************************************************************************************************** NN_SysGetFileWOExt($filename)
function NN_SysGetFileWOExt($filename){
	return str_replace(end(explode('.',$filename)),'',$filename); //Retourne de nom du fichier sans extension
}

//************************************************************************************************************** NN_SysGetFileExt($filename)
function NN_SysGetFileExt($filename){
  	return end(explode('.',$filename)); //Retourne l'extension
}

//************************************************************************************************************* NN_SysCreateEmptyFile($filename)
function NN_SysCreateEmptyFile($filename){
  	$data = fopen($filename,'x+');
	fclose($data);
	unset($data);
	if(file_exists($filename)){return true;}else{return false;}
}

//************************************************************************************************************* NN_Sys_File_ReadFile($filename)
function NN_Sys_File_ReadFile($filename){
	if(file_exists($filename)){
		return str_replace(chr(13).chr(10),chr(13),file_get_contents($filename));
	}else{return false;}
}

//************************************************************************************************************* NN_Sys_File_ReadFileInArray($filename)
function NN_Sys_File_ReadFileInArray($filename){
	if(file_exists($filename)){
		$data = str_replace(chr(13).chr(10),chr(13),file_get_contents($filename));
		return explode(chr(13),$data);
	}else{return false;}
}

//************************************************************************************************************* NN_Sys_File_AddLineInFile($filename,$string)
function NN_Sys_File_AddLineInFile($filename,$string){
	if(file_exists($filename)){
		$data = str_replace(chr(13).chr(10),chr(13),file_get_contents($filename));
		$data .= chr(13) . $string;
		file_put_contents($filename,$data);
		return true;
	}else{return false;}
}

//************************************************************************************************************* NN_Sys_File_Filesize($filename)
function NN_Sys_File_Filesize($filename){
	if(file_exists($filename)){
		$filesize = filesize($filename);
		if($filesize<1024 ){return array($filesize,'b');}
		elseif($filesize>=1024 && $filesize<(1024*1024)){return array(round($filesize/1024,2),'kb');}
		elseif($filesize>=(1024*1024) && $filesize<(1024*1024*1024)){return array(round($filesize/(1024*1024),2),'mb');}
		elseif($filesize>=(1024*1024*1024) && $filesize<(1024*1024*1024*1024)){return array(round($filesize/(1024*1024*1024),2),'gb');}
		elseif($filesize>=(1024*1024*1024*1024) && $filesize<(1024*1024*1024*1024*1024)){return array(round($filesize/(1024*1024*1024*1024),2),'tb');}
	}else{return false;}
}

//************************************************************************************************************* NN_Sys_File_RenameFile($filename,$newfilename)
function NN_Sys_File_RenameFile($filename,$newfilename){
	if(file_exists($filename)){
		rename($filename, $newfilename);
		return true;
	}else{return false;}
}

//************************************************************************************************************* NN_Sys_File_GetFileRight($filename)
function NN_Sys_File_GetFileRight($filename){
	if(file_exists($filename)){
		return fileperms($filename);
	}else{return false;}
}

//************************************************************************************************************* NN_Sys_File_SetFileRight($filename,$mode)
function NN_Sys_File_SetFileRight($filename,$mode){
	if(file_exists($filename)){
		chmod($filename, $mode);
		if(fileperms($filename) !== $mode){return false;}else{return true;}
	}else{return false;}
}

//************************************************************************************************************* NN_Sys_File_GetFileInfo($filename)
function NN_Sys_File_GetFileInfo($filename){
	if(file_exists($filename)){
		return array(date("d-m-y", fileatime($filename)),date("d-m-y", filemtime($filename))); //derniere acces et derniere modif
	}else{return false;}
}

//************************************************************************************************************* NN_Sys_File_DeleteFile($filename)
function NN_Sys_File_DeleteFile($filename){
	if(file_exists($filename)){
		unlink($filename);
		if(!file_exists($filename)){return true;}else{return false;}
	}else{return false;}
}




?>